Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.event
Class ClsAdapter

    java.lang.Object
      edu.stanford.smi.protege.event.ClsAdapter

All Implemented Interfaces:
  ClsListener, EventListener

    public abstract class ClsAdapter

extends Object
implements ClsListener

Adapter for the ClsListener interface. Subclass this if you only want to catch a few events from the listener.

Author:
  Ray Fergerson

Constructor Summary
`ClsAdapter()`

Method Summary
`void` | `directInstanceAdded(ClsEvent event)`
`void` | `directInstanceRemoved(ClsEvent event)`
`void` | `directSubclassAdded(ClsEvent event)`
`void` | `directSubclassMoved(ClsEvent event)`
`void` | `directSubclassRemoved(ClsEvent event)`
`void` | `directSuperclassAdded(ClsEvent event)`
`void` | `directSuperclassRemoved(ClsEvent event)`
`void` | `templateFacetAdded(ClsEvent event)`
`void` | `templateFacetRemoved(ClsEvent event)`
`void` | `templateFacetValueChanged(ClsEvent event)`
`void` | `templateSlotAdded(ClsEvent event)`
`void` | `templateSlotRemoved(ClsEvent event)`
`void` | `templateSlotValueChanged(ClsEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClsAdapter

    public ClsAdapter()

Method Detail

### directInstanceAdded

    public void directInstanceAdded(ClsEvent event)

  Specified by:
    `directInstanceAdded` in interface `ClsListener`

### directInstanceRemoved

    public void directInstanceRemoved(ClsEvent event)

  Specified by:
    `directInstanceRemoved` in interface `ClsListener`

### directSubclassAdded

    public void directSubclassAdded(ClsEvent event)

  Specified by:
    `directSubclassAdded` in interface `ClsListener`

### directSubclassMoved

    public void directSubclassMoved(ClsEvent event)

  Specified by:
    `directSubclassMoved` in interface `ClsListener`

### directSubclassRemoved

    public void directSubclassRemoved(ClsEvent event)

  Specified by:
    `directSubclassRemoved` in interface `ClsListener`

### directSuperclassAdded

    public void directSuperclassAdded(ClsEvent event)

  Specified by:
    `directSuperclassAdded` in interface `ClsListener`

### directSuperclassRemoved

    public void directSuperclassRemoved(ClsEvent event)

  Specified by:
    `directSuperclassRemoved` in interface `ClsListener`

### templateFacetAdded

    public void templateFacetAdded(ClsEvent event)

  Specified by:
    `templateFacetAdded` in interface `ClsListener`

### templateFacetRemoved

    public void templateFacetRemoved(ClsEvent event)

  Specified by:
    `templateFacetRemoved` in interface `ClsListener`

### templateFacetValueChanged

    public void templateFacetValueChanged(ClsEvent event)

  Specified by:
    `templateFacetValueChanged` in interface `ClsListener`

### templateSlotAdded

    public void templateSlotAdded(ClsEvent event)

  Specified by:
    `templateSlotAdded` in interface `ClsListener`

### templateSlotRemoved

    public void templateSlotRemoved(ClsEvent event)

  Specified by:
    `templateSlotRemoved` in interface `ClsListener`

### templateSlotValueChanged

    public void templateSlotValueChanged(ClsEvent event)

  Specified by:
    `templateSlotValueChanged` in interface `ClsListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.